Subject: Re: bug#57970: 29.0.50; Create new defgroup for pixel-scroll.el

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Sep 2023 15:38:45 +0300

> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> Date: Mon, 11 Sep 2023 16:37:10 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > I'm still not sure what is the relationship with pixel-scroll-mode.  Eli
> > does, I think.  So it might be best to send any suggested changes to the
> > bug tracker.
> 
> For what it's worth, the only advantage the old pixel-scroll-mode has
> over p-s-p-m is that it functions with regular wheel mice by default.
> 
> pixel-scroll-precision-mode is also capable of supporting wheel mice,
> but detecting them and enabling the requisite options is tricky and
> subject to numerous edge cases, so those options remain off by default.

So maybe we should document that one is better for wheels, the other
for touchpads?  And maybe even (gasp!) rename
pixel-scroll-precision-mode to something like touchpad-scroll-mode?